# #Read Data
# #Setting Labels

label(data$subject_id)="Subject ID"
label(data$redcap_data_access_group)="Data Access Group"
label(data$dem_medicalnumber)="Medical Record Number "
label(data$hosp_date)="Date admitted to Hospital"
label(data$hosp_time)="Time admitted to hospital"
label(data$hosp_dischdate)="Discharge date"
label(data$hosp_dischtime)="Discharge time"
label(data$hosp_dx_1)="First Hospital Discharge Diagnosis ICD code"
label(data$othericd_1)="If other ICD:"
label(data$hosp_dx_2)="Second Hospital Discharge Diagnosis ICD code"
label(data$othericd_2)="If other ICD:"
label(data$hosp_dx_3)="Third Discharge Diagnosis ICD code"
label(data$othericd_3)="If other ICD:"
label(data$hosp_dx_4)="Fourth Discharge Diagnosis ICD code"
label(data$othericd_4)="If other ICD:"
label(data$hosp_dx_5)="Fifth Discharge Diagnosis ICD code"
label(data$othericd_5)="If other ICD:"
label(data$hosp_comments)="Comments"
label(data$hospitalization_complete)="Complete?"
label(data$dem_age)="Age at time of STEMI Transfer"
label(data$dem_dob)="Date of Birth"
label(data$dem_sex)="Gender"
label(data$dem_race)="Race"
label(data$dem_ethnicity)="Ethnicity "
label(data$dem_insurance___1)="Insurance Payor (choice=Private)"
label(data$dem_insurance___2)="Insurance Payor (choice=Medicare)"
label(data$dem_insurance___3)="Insurance Payor (choice=Medicaid)"
label(data$dem_insurance___4)="Insurance Payor (choice=Other)"
label(data$dem_insurance___0)="Insurance Payor (choice=None-Self Pay)"
label(data$dem_insurance___5)="Insurance Payor (choice=Unknown)"
label(data$inspay_name)="Insurance payor name"
label(data$dem_primlang)="Primary Language"
label(data$dem_primlang_other)="Other primary language not listed"
label(data$code)="Code Status"
label(data$dem_comments)="Comments"
label(data$demographics_complete)="Complete?"
label(data$ed_visitdate)="ED arrival date"
label(data$ed_arrivetime)="ED arrival time"
label(data$ed_triagestart)="Triage Start Time"
label(data$ed_triageend)="Triage End Time"
label(data$ed_arrivemode)="ED arrival mode"
label(data$ed_arrivemodeother)="If other arrival mode:"
label(data$ed_ambco)="If by EMS, company name:"
label(data$ed_esi)="ESI score"
label(data$ed_sxonsetpta)="Onset of Symptoms Prior to Arrival in your ED "
label(data$chest_pain)="Was the patient having any chest pain upon presentation?"
label(data$edcc1)="Chief Complaint 1"
label(data$edccother1)="Chief Complaint 1 if Other "
label(data$edcc2)="Chief Complaint 2:"
label(data$edccother2)="Chief Complaint 2 if Other "
label(data$edcc3)="Chief Complaint 3"
label(data$edccother3)="Chief Complaint 3 if Other "
label(data$edcc4)="Chief Complaint 4"
label(data$edccother4)="Chief Complaint 4 if Other "
label(data$edcc5)="Chief Complaint 5"
label(data$edccother5)="Chief Complaint 5 if Other "
label(data$edcc6)="Chief Complaint 6"
label(data$edccother6)="Chief Complaint 6 if Other "
# label(data$stemistatus)="STEMI Screening Status?"
label(data$finaleddx1)="First final ED Diagnosis "
label(data$finaleddx1_other)="First final ED Diagnosis if other"
label(data$finaleddx2)="Second final ED Diagnosis "
label(data$finaleddx2_other)="Second final ED Diagnosis other:"
label(data$finaleddx3)="Third final ED Diagnosis "
label(data$finaleddx3_other)="Third final ED Diagnosis if other:"
label(data$finaleddx4)="Fourth final ED Diagnosis"
label(data$finaleddx4_other)="Fourth final ED Diagnosis, if other:"
label(data$finaleddx5)="Fifth final ED Diagnosis"
label(data$finaleddx5_other)="Fifth final ED Diagnosis, if other:"
label(data$eddisch_date)="ED discharge date"
label(data$ed_comments)="Comments"
label(data$emergency_department_complete)="Complete?"
label(data$ecg_date)="Receiving Emergency Department ECG date  "
label(data$ecg_time)="Receiving Emergency Department ECG time"
label(data$ecg_interpretation)="Official ECG Interpretation"
label(data$ecg_clinread)="Clinical Interpretation of Receiving ED EKG"
label(data$ecg_2)="Was there a follow up ECG at the Receiving hospital?"
label(data$ecg_date_2)="Receiving Hospital Follow Up ECG date  "
label(data$ecg_time_2)="Receiving Hospital Follow Up ECG time"
label(data$ecg_interpretation_2)="Official ECG Interpretation"
label(data$ecg_clinread_2)="Clinical Interpretation of Receiving ED EKG"
label(data$prior_ecgdone___0)="Was there a prior ECG from an outside facility or agency?   (choice=None)"
label(data$prior_ecgdone___2)="Was there a prior ECG from an outside facility or agency?   (choice=Yes-EMS to Receiving Hospital ED)"
label(data$prior_ecgdone___1)="Was there a prior ECG from an outside facility or agency?   (choice=Yes-Outside Hospital ED)"
label(data$prior_ecgdone___4)="Was there a prior ECG from an outside facility or agency?   (choice=Yes-EMS to Outside Transferring ED)"
label(data$prior_ecgdone___3)="Was there a prior ECG from an outside facility or agency?   (choice=Yes-Clinic Provider)"
label(data$ambecg_datetime)="EMS to receiving hospital ECG date and time"
label(data$ambecg_interpret)="Official ambulance ECG Interpretation"
label(data$ambecg_clinread)="Clinical Interpretation of Transferring EMS EKG"
label(data$outedecg_datetime)="Outside Emergency Department ECG date and time"
label(data$outedecg_interpret)="Official outside Emergency Department ECG Interpretation"
label(data$outedecg_clinread)="Clinical Note of outside Emergency Department ECG Read"
label(data$outemsecg_datetime)="EMS to transporting ED ECG date and time"
label(data$outemsecg_interpret)="Clinic official ECG Interpretation"
label(data$outemsecg_clinread)="Clinical Interpretation of ECG done by EMS transporting to outside hospital"
label(data$clinicecg_datetime)="Clinic Provider ECG date and time"
label(data$clinicecg_interpret)="Clinic official ECG Interpretation"
label(data$clinicecg_clinread)="Clinical Interpretation of Referring Clinic Provider ECG"
label(data$diagecg)="Diagnositic ECG"
label(data$ecg_comments)="Comments:"
label(data$initial_electrocardiogram_complete)="Complete?"
label(data$htn)="Hypertension - diagnosis"
label(data$dm)="Diabetes Mellitus - any kind"
label(data$hyperlip)="Hyperlipidemia"
label(data$hf)="Heart Failure"
label(data$smoke)="Smoking status "
label(data$hxacs)="Prior Myocardial Infarction; NSTEMI STEMI  "
label(data$hx_acs_number)="If yes to Myocardial Infarctions, how many?"
label(data$hxpci)="Prior Percutaneous Coronary Intervention - PCI"
label(data$hxcabg)="Prior Coronary Artery Bypass Graft - CABG"
label(data$phx_comments)="Comments:"
label(data$past_history_and_ejection_fraction_complete)="Complete?"
label(data$int_trop_time)="Date and time of Inital Troponin"
label(data$int_trop)="Initial Troponin level"
label(data$high_trop_time)="Date and time of Highest Troponin during hospitalization"
label(data$high_trop)="Highest Troponin Level"
label(data$initial_hmg)="Date and time of initial Hemoglobin"
label(data$initial_hmg_level)="Initial Hemoglobin level"
label(data$initial_laboratory_results_complete)="Complete?"
label(data$intervention_type)="Type of Intervention for ACS"
label(data$intervention_date)="STEMI Intervention Date"
label(data$cath)="Was a cardiac catheterization done?"
label(data$interventionstart)="STEMI intervention start time"
label(data$cathlab_time)="Patient arrived in the Cath Lab time:"
label(data$stemitx_mdstart)="STEMI intervention Physician MD start time"
label(data$guidewire)="Guidewire time "
label(data$baloontime)="Baloon inflation time"
label(data$cathremovetime)="Catheter removal time"
label(data$pci)="Was percutaneous coronary intervention done?"
label(data$iabp)="Was an IABP or intra-aortic baloon pump placed?"
label(data$iabptime)="If yes, IABP start time"
label(data$lesion1)="Primary Disease (Culprit) Lesion"
label(data$lesion1percent)="Primary Disease (Culprit) Lesion Percent Blockage"
label(data$lesion2)="Secondary Diseased Lesion"
label(data$lesion2percent)="Secondary Diseased Lesion Percent Blockage"
label(data$lesion3)="Third Diseased Lesion"
label(data$lesion3percent)="Third Diseased Lesion Percent Blockage"
label(data$cath_report)="Cath Report Details (copy and paste physician summary of cath procedure) Note:"
label(data$cath_ef)="EJECTION FRACTION MEASURED DURING CATHETERIZATION"
label(data$case_comments)="Case Comments"
label(data$stemi_intervention_complete)="Complete?"
label(data$efprior)="Was there an ejection fraction measured before this current index visit? "
label(data$prioref_date)="Prior ejection fraction date"
label(data$ef_prior)="PRIOR EJECTION FRACTION (provide most recent prior to index STEMI visit)"
label(data$prioref_range)="EJECTION FRACTION RANGE  (prior index STEMI hospitalization)"
label(data$prioref_comments)="Notes on in hospital ejection fraction"
label(data$efduringhosp_2)="Was there an ejection fraction measured during the index hospitalization?"
label(data$duringhosp_efdate)="Ejection fraction date"
label(data$ef_duringhosp_2)="EJECTION FRACTION (provide EF measured during index hospitalization STEMI visit)"
label(data$ef_range_during)="EJECTION FRACTION RANGE  (during index STEMI hospitalization)"
label(data$duringhosp_ef_comments)="Notes on ejection fraction around the STEMI and before index hospital discharge:"
label(data$efpostdisch)="Was there an ejection fraction measured after discharge from index STEMI visit"
label(data$efpost_date)="First ejection fraction post discharge date"
label(data$efpostdischarge)="FIRST EJECTION FRACTION (provide first EF post discharge index STEMI visit)"
label(data$efpostdisch_range)="EJECTION FRACTION RANGE  (during index STEMI hospitalization)"
label(data$efpostcomments)="Notes on first EF post-discharge "
label(data$ef_comments)="Overall Comments on Ejection Fractions:"
label(data$past_history_and_ejection_fraction_2_complete)="Complete?"
label(data$alive1)="Was the subject alive at 1 year from intervention"
label(data$deathdate)="Date of Death"
label(data$deathtime)="Time of Death"
label(data$deathcause)="Primary Cause of Death"
label(data$death_sum)="Death summary:"
label(data$lastfollow_date)="Date of last follow up:"
label(data$comments_foll)="Comments"
label(data$follow_up_complete)="Complete?"
#Setting Units


#Setting Factors(will create new variable for factors)
data$redcap_data_access_group.factor = factor(data$redcap_data_access_group,levels=c("bwh","oregon_hsu","u_penn","uc_davis","ut_southwestern","vanderbilt","wisconsin"))
data$hosp_dx_1.factor = factor(data$hosp_dx_1,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18"))
data$hosp_dx_2.factor = factor(data$hosp_dx_2,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18"))
data$hosp_dx_3.factor = factor(data$hosp_dx_3,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18"))
data$hosp_dx_4.factor = factor(data$hosp_dx_4,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18"))
data$hosp_dx_5.factor = factor(data$hosp_dx_5,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18"))
data$hospitalization_complete.factor = factor(data$hospitalization_complete,levels=c("0","1","2"))
data$dem_sex.factor = factor(data$dem_sex,levels=c("1","0"))
data$dem_race.factor = factor(data$dem_race,levels=c("0","1","2","3","4","5","6","7"))
data$dem_ethnicity.factor = factor(data$dem_ethnicity,levels=c("1","0","2"))
data$dem_insurance___1.factor = factor(data$dem_insurance___1,levels=c("0","1"))
data$dem_insurance___2.factor = factor(data$dem_insurance___2,levels=c("0","1"))
data$dem_insurance___3.factor = factor(data$dem_insurance___3,levels=c("0","1"))
data$dem_insurance___4.factor = factor(data$dem_insurance___4,levels=c("0","1"))
data$dem_insurance___0.factor = factor(data$dem_insurance___0,levels=c("0","1"))
data$dem_insurance___5.factor = factor(data$dem_insurance___5,levels=c("0","1"))
data$dem_primlang.factor = factor(data$dem_primlang,levels=c("0","1","2","3"))
data$code.factor = factor(data$code,levels=c("1","2","3"))
data$demographics_complete.factor = factor(data$demographics_complete,levels=c("0","1","2"))
data$ed_arrivemode.factor = factor(data$ed_arrivemode,levels=c("0","1","2","3"))
data$ed_esi.factor = factor(data$ed_esi,levels=c("0","1","2","3","4","5"))
data$chest_pain.factor = factor(data$chest_pain,levels=c("1","0"))
data$edcc1.factor = factor(data$edcc1,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
data$edcc2.factor = factor(data$edcc2,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
data$edcc3.factor = factor(data$edcc3,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
data$edcc4.factor = factor(data$edcc4,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
data$edcc5.factor = factor(data$edcc5,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
data$edcc6.factor = factor(data$edcc6,levels=c("0","1","2","3","4","5","6","7","8","9","10","11"))
# data$stemistatus.factor = factor(data$stemistatus,levels=c("1","0","2"))
data$finaleddx1.factor = factor(data$finaleddx1,levels=c("1","2","3","4","5","6","7","8","9","10","11","12"))
data$finaleddx2.factor = factor(data$finaleddx2,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12"))
data$finaleddx3.factor = factor(data$finaleddx3,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12"))
data$finaleddx4.factor = factor(data$finaleddx4,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12"))
data$finaleddx5.factor = factor(data$finaleddx5,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12"))
data$emergency_department_complete.factor = factor(data$emergency_department_complete,levels=c("0","1","2"))
data$ecg_2.factor = factor(data$ecg_2,levels=c("0","1"))
data$prior_ecgdone___0.factor = factor(data$prior_ecgdone___0,levels=c("0","1"))
data$prior_ecgdone___2.factor = factor(data$prior_ecgdone___2,levels=c("0","1"))
data$prior_ecgdone___1.factor = factor(data$prior_ecgdone___1,levels=c("0","1"))
data$prior_ecgdone___4.factor = factor(data$prior_ecgdone___4,levels=c("0","1"))
data$prior_ecgdone___3.factor = factor(data$prior_ecgdone___3,levels=c("0","1"))
data$diagecg.factor = factor(data$diagecg,levels=c("0","1","6","2","3","4","5"))
data$initial_electrocardiogram_complete.factor = factor(data$initial_electrocardiogram_complete,levels=c("0","1","2"))
data$htn.factor = factor(data$htn,levels=c("0","1","2"))
data$dm.factor = factor(data$dm,levels=c("0","1","2"))
data$hyperlip.factor = factor(data$hyperlip,levels=c("0","1","2"))
data$hf.factor = factor(data$hf,levels=c("0","1","2"))
data$smoke.factor = factor(data$smoke,levels=c("1","2","0"))
data$hxacs.factor = factor(data$hxacs,levels=c("0","1","2"))
data$hx_acs_number.factor = factor(data$hx_acs_number,levels=c("1","2","3","4","5","6","7","8","9","10"))
data$hxpci.factor = factor(data$hxpci,levels=c("0","1","2"))
data$hxcabg.factor = factor(data$hxcabg,levels=c("0","1","2"))
data$past_history_and_ejection_fraction_complete.factor = factor(data$past_history_and_ejection_fraction_complete,levels=c("0","1","2"))
data$initial_laboratory_results_complete.factor = factor(data$initial_laboratory_results_complete,levels=c("0","1","2"))
data$intervention_type.factor = factor(data$intervention_type,levels=c("0","1","2","3"))
data$cath.factor = factor(data$cath,levels=c("1","0"))
data$pci.factor = factor(data$pci,levels=c("1","0"))
data$iabp.factor = factor(data$iabp,levels=c("0","1"))
data$stemi_intervention_complete.factor = factor(data$stemi_intervention_complete,levels=c("0","1","2"))
data$efprior.factor = factor(data$efprior,levels=c("0","1","2"))
data$efduringhosp_2.factor = factor(data$efduringhosp_2,levels=c("0","1","2"))
data$efpostdisch.factor = factor(data$efpostdisch,levels=c("0","1","2"))
data$past_history_and_ejection_fraction_2_complete.factor = factor(data$past_history_and_ejection_fraction_2_complete,levels=c("0","1","2"))
data$alive1.factor = factor(data$alive1,levels=c("0","1","-99"))
data$follow_up_complete.factor = factor(data$follow_up_complete,levels=c("0","1","2"))

levels(data$redcap_data_access_group.factor)=c("BWH","Oregon HSU","U Penn","UC Davis","UT Southwestern","Vanderbilt","Wisconsin")
levels(data$hosp_dx_1.factor)=c("None","410.21","410.31","410.41","410.01","410.11","410.51","410.61","410.81","410.91","I21.11","I21.19","I21.21","I21.01","I21.02","I21.09","I21.29","I21.3","Other")
levels(data$hosp_dx_2.factor)=c("None","410.21","410.31","410.41","410.01","410.11","410.51","410.61","410.81","410.91","I21.11","I21.19","I21.21","I21.01","I21.02","I21.09","I21.29","I21.3","Other")
levels(data$hosp_dx_3.factor)=c("None","410.21","410.31","410.41","410.01","410.11","410.51","410.61","410.81","410.91","I21.11","I21.19","I21.21","I21.01","I21.02","I21.09","I21.29","I21.3","Other")
levels(data$hosp_dx_4.factor)=c("None","410.21","410.31","410.41","410.01","410.11","410.51","410.61","410.81","410.91","I21.11","I21.19","I21.21","I21.01","I21.02","I21.09","I21.29","I21.3","Other")
levels(data$hosp_dx_5.factor)=c("None","410.21","410.31","410.41","410.01","410.11","410.51","410.61","410.81","410.91","I21.11","I21.19","I21.21","I21.01","I21.02","I21.09","I21.29","I21.3","Other")
levels(data$hospitalization_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$dem_sex.factor)=c("Male","Female")
levels(data$dem_race.factor)=c("White","Black or African American","Non-white Latino","Asian","Native Hawaiian or Pacific Islander","American Indian or Alaskan Native","Declined to disclose","Unknown")
levels(data$dem_ethnicity.factor)=c("Yes Hispanic","Non-Hispanic","Unknown")
levels(data$dem_insurance___1.factor)=c("Unchecked","Checked")
levels(data$dem_insurance___2.factor)=c("Unchecked","Checked")
levels(data$dem_insurance___3.factor)=c("Unchecked","Checked")
levels(data$dem_insurance___4.factor)=c("Unchecked","Checked")
levels(data$dem_insurance___0.factor)=c("Unchecked","Checked")
levels(data$dem_insurance___5.factor)=c("Unchecked","Checked")
levels(data$dem_primlang.factor)=c("English","Spanish","Arabic","Other")
levels(data$code.factor)=c("Fullcode","DNR - Do not resuscitate","DNR-DNI - Do not resuscitate and do not intubate")
levels(data$demographics_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$ed_arrivemode.factor)=c("Not given","Private Car","EMS - emergency medical services","Other")
levels(data$ed_esi.factor)=c("Not Available","1","2","3","4","5")
levels(data$chest_pain.factor)=c("Yes","No")
levels(data$edcc1.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
levels(data$edcc2.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
levels(data$edcc3.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
levels(data$edcc4.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
levels(data$edcc5.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
levels(data$edcc6.factor)=c("None","Chest pain","SOB","Syncope","Nausea and-or Vomiting","Dizziness","Neck or jaw pain","Shoulder pain or both shoulders","Back pain","Abdominal pain","Diaphoresis","Other")
# levels(data$stemistatus.factor)=c("Positive","Negative","Unknown")
levels(data$finaleddx1.factor)=c("STEMI","NSTEMI","Acute Coronary Syndrome","Unstable Angina","Acute Heart Failure","Shock","Cardiac Arrest","Stroke","Syncope","Hypertension","Active Hemorrhage","Other")
levels(data$finaleddx2.factor)=c("None","STEMI","NSTEMI","Acute Coronary Syndrome","Unstable Angina","Acute Heart Failure","Shock","Cardiac Arrest","Stroke","Syncope","Hypertension","Active Hemorrhage","Other")
levels(data$finaleddx3.factor)=c("None","STEMI","NSTEMI","Acute Coronary Syndrome","Unstable Angina","Acute Heart Failure","Shock","Cardiac Arrest","Stroke","Syncope","Hypertension","Active Hemorrhage","Other")
levels(data$finaleddx4.factor)=c("None","STEMI","NSTEMI","Acute Coronary Syndrome","Unstable Angina","Acute Heart Failure","Shock","Cardiac Arrest","Stroke","Syncope","Hypertension","Active Hemorrhage","Other")
levels(data$finaleddx5.factor)=c("None","STEMI","NSTEMI","Acute Coronary Syndrome","Unstable Angina","Acute Heart Failure","Shock","Cardiac Arrest","Stroke","Syncope","Hypertension","Active Hemorrhage","Other")
levels(data$emergency_department_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$ecg_2.factor)=c("No or unknown","Yes")
levels(data$prior_ecgdone___0.factor)=c("Unchecked","Checked")
levels(data$prior_ecgdone___2.factor)=c("Unchecked","Checked")
levels(data$prior_ecgdone___1.factor)=c("Unchecked","Checked")
levels(data$prior_ecgdone___4.factor)=c("Unchecked","Checked")
levels(data$prior_ecgdone___3.factor)=c("Unchecked","Checked")
levels(data$diagecg.factor)=c("None","Receiving Hospital ED","Receiving Hospital Follow Up","Outside Hospital ED","Clinic Provider","EMS to Receiving Hospital","EMS to Outside Transferring Hospital")
levels(data$initial_electrocardiogram_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$htn.factor)=c("No","Yes","Unknown")
levels(data$dm.factor)=c("No","Yes","Unknown")
levels(data$hyperlip.factor)=c("No","Yes","Unknown")
levels(data$hf.factor)=c("No","Yes","Unknown")
levels(data$smoke.factor)=c("Yes-current","Prior-quit","Never (less than 100 cigarettes, cigars, or episodes of other tobacco use in life time)")
levels(data$hxacs.factor)=c("No","Yes","Unknown")
levels(data$hx_acs_number.factor)=c("1","2","3","4","5","6","7","8","9","10")
levels(data$hxpci.factor)=c("No","Yes","Unknown")
levels(data$hxcabg.factor)=c("No","Yes","Unknown")
levels(data$past_history_and_ejection_fraction_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$initial_laboratory_results_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$intervention_type.factor)=c("None - hospice or died","Percutaneous Coronary Intervention PCI","Thrombolysis","Medical Management")
levels(data$cath.factor)=c("Yes","No")
levels(data$pci.factor)=c("Yes","No")
levels(data$iabp.factor)=c("No","Yes")
levels(data$stemi_intervention_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$efprior.factor)=c("No","Yes","Unknown")
levels(data$efduringhosp_2.factor)=c("No","Yes","Unknown")
levels(data$efpostdisch.factor)=c("No","Yes","Unknown")
levels(data$past_history_and_ejection_fraction_2_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$alive1.factor)=c("No","Yes","Unknown - lost to follow up")
levels(data$follow_up_complete.factor)=c("Incomplete","Unverified","Complete")
